[SOLVED] can't update or install anything new - repo problems

Just installed netrunner 14 LTS. It tells me there are updates but errors occur when I run Muon. It says I should update linux-generic, linux-headers-generic and linux-image-generic but when I click install I get:

http://archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-generic_3.13.0.29.35_amd64.deb 404 Not Found [IP: 91.189.92.200 80] http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-generic_3.13.0.29.35_amd64.deb 404 Not Found [IP: 91.189.92.201 80] http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-image-generic_3.13.0.29.35_amd64.deb 404 Not Found [IP: 91.189.92.201 80] http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.13.0.29.35_amd64.deb 404 Not Found [IP: 91.189.92.201 80] 

Also tried Synaptic but get same errors. Also errors when I try to install ANY new software like digikam or xsane - complains it can’t find the right sources. Official repos in sources.list.d show:

[code]deb http://packages.netrunner-os.com frontier-14 main #id:netrunner_main
deb http://ppa.launchpad.net/netrunner-os/frontier-14-packages/ubuntu trusty main
deb http://ppa.launchpad.net/netrunner-os/frontier-14/ubuntu trusty main
deb http://ppa.launchpad.net/netrunner-os/frontier-14-updates/ubuntu trusty main

deb http://archive.ubuntu.com/ubuntu trusty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ trusty partner[/code]

Can anyone confirm if this is the right list or should I have updated it? I have searched a bit in the forum and Google but not much to show for it.

TIA

If you look, those files don’t exist on the server:
http://archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/

You’ll need to re-sync the repositories before trying to upgrade:

sudo apt-get update sudo apt-get upgrade

Thanks for this - somehow I must have presumed that Muon would do apt-get update before advising on what updates are available? Never mind will mark the post as SOLVED. Thanks again

I installed Netrunner as we speak and the same error occured.
I tried to apt-get update and upgrade but this didn’t do the job.

I’m sure I’m doing something wrong but I don’t know what… :-/

After ‘update’ I get this.

[code]W: Ophalen van http://ppa.launchpad.net/netrunner-os/frontier-14-packages/ubuntu/dists/frontier-14/main/binary-amd64/Packages is mislukt 404 Not Found

W: Ophalen van http://ppa.launchpad.net/netrunner-os/frontier-14-packages/ubuntu/dists/frontier-14/main/binary-i386/Packages is mislukt 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
[/code]

I already changed the ‘trusty’ mirror and updates are downloading, but the error according to the ppa remains.

The official repos list is wrong. Please take a look at the first post and compare it with the one you have (or just overwrite it).
Also see the other threads about it.

Hi,

The list in the first post is the right one?

It’s not very different from mine, but I’ll have a look at the other threads, if I can find them…

These are my sources

deb http://ppa.launchpad.net/netrunner-os/frontier-14-packages/ubuntu frontier-14 main #id:netrunner_main deb http://ppa.launchpad.net/netrunner-os/frontier-14/ubuntu trusty main deb http://ppa.launchpad.net/netrunner-os/frontier-14-packages/ubuntu trusty main deb http://ppa.launchpad.net/netrunner-os/frontier-14-updates/ubuntu trusty main

I have changed the first one to: deb http://packages.netrunner-os.com frontier-14 main #id:netrunner_main